#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kalarm
Summary:       Application to manage alarms and other timer based alerts for the desktop
Epoch:         2
Version: 23.04.1
Release:       %mkrel %{rel}
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://kde.org/applications/utilities/org.kde.kalarm
Source0:       https://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: xsltproc

#QT5 package
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5X11Extras)

#KF5 package
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5GuiAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IdleTime)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5Holidays)

#KdepimLibs Package
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5MailTransportAkonadi)
BuildRequires: cmake(KF5Mime)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5PimTextEdit)

Obsoletes:     kalarmcal < 22.08.0
Provides:      kalarmcal = %epoch:%version-%release

%description
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files -f %name.lang
%_kf5_categoriesdir/kalarm.*categories
%_kf5_bindir/kalarm
%_kf5_bindir/kalarmautostart
%_libexecdir/kauth/kalarm_helper
%_kf5_applicationsdir/org.kde.kalarm.desktop
%_kf5_metainfodir/org.kde.kalarm.appdata.xml
%_kf5_datadir/kalarm
%_kf5_sysconfdir/xdg/autostart/kalarm.autostart.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%_kf5_datadir/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%_kf5_datadir/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%_kf5_datadir/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%_kf5_datadir/config.kcfg/kalarmconfig.kcfg
%_kf5_kxmlguidir/kalarm
%_kf5_knotificationsdir/kalarm.notifyrc
%_kf5_iconsdir/*/*/*/kalarm.png
%_qt5_plugindir/pim5/kalarm/akonadiplugin.so

#------------------------------------------------------------------------------

%define kalarmplugin_major 5
%define libkalarmplugin %mklibname kalarmplugin %kalarmplugin_major

%package -n %libkalarmplugin
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkalarmplugin
KDEPIM library.

%files -n %libkalarmplugin
%_kf5_libdir/libkalarmplugin.so.%{kalarmplugin_major}{,.*}

#--------------------------------------------------------------------

%define kf5alarmcalendar_major 5
%define libkf5alarmcalendar %mklibname kf5alarmcalendar %{kf5alarmcalendar_major}

%package -n %libkf5alarmcalendar
Summary:        The KAlarm client library
Group:          System/Libraries

%description -n %libkf5alarmcalendar
The KAlarm client library.

%files -n %libkf5alarmcalendar
%_kf5_libdir/libkalarmcalendar.so.%{kf5alarmcalendar_major}{,.*}

#--------------------------------------------------------------------


%package -n kalarm-handbook
Summary:        Kalarm handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kalarm >= %{epoch}:%{version}-%{release}

%description -n kalarm-handbook
This package provides kalarm handbook.

%files -n kalarm-handbook
%_kf5_docdir/HTML/*/kalarm

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958125
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946437
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941731
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922850
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911342
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905197
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886718
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 2:22.08.0-2.mga9
+ Revision: 1883489
- Remove wrong require in the libkf5alarmcalendar package

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883272
- Obsoletes kalarmcal
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873013
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853907
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852452
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765947
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724004
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718295
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698492
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694031
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657253
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643939
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633746
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626997
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617325
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604061
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596793
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585777
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568076
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559265
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540897
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513235
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466879
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457839
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447791
- New version 19.08.1

* Wed Jul 31 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426180
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390387
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387591
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381983
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375471
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365506
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356442
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339455
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332686
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327339
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298421
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1241524
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201836
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194860
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191051
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142981
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136720
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1131644
- Rebuild now that BS is fixed
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090017
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076752
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074298
- imported package kalarm

